---
layout: post
title:  "Fill the Earth, And Beyond"
date:   2020-10-22 13:37:00 +0000
tags: evolution economics ai
published: true
description: "Thoughts on evolution and artificial intelligence."
---
> God blessed them and said to them, "Be fruitful and increase in number; fill the earth and subdue it."

All living things must grow and procreate, or be replaced by something that does. The same applies to biological organisms, human organizations and ideas, or memes.

Hunter-gatherers were replaced by agriculturists, who could harvest more of the sun's energy and sustain larger populations. Stationary farmers were easier to tax than their predecessors — thus formed governments.

Governments also have a tendency to grow, but they grow by taxing more or conquering their neighbours, not by producing more value — things that people consider worth their price and would voluntarily pay for. Taxation takes a toll on the productive economy, where growth originates. Cultures and societies that limited their government, upheld the rule of law and free market principles, prevailed in the long term.

Free market and private property are good ideas (i.e. surviving ideas) because they enable economic evolution. Those who allocate their resources in a way that produces additional value (stuff that others want) will get more resources to allocate. Bad businesses go bankrupt and their resources are put to better use.

Degrowth is not a sustainable idea. "Have fewer kids to fight the climate change" and other variants of the Voluntary Human Extinction Movement are not evolutionarily fit memes. Pro-life cultures and genes will be the winners of evolution. More so in the current age of abundance, where you can have as many children as you can be bothered to, and basically all of them will survive.

Growth beyond the environmental carrying capacity is not sustainable either.

**It's not that I especially like these realities of life.** I like sauna, beer and video games. But these things can be good to know.

For example, when developing [Iris](https://github.com/irislib/iris-messenger) I need to consider that social media compete for their users' attention. If you build a nice, non-addictive social medium that doesn't engage its users with provocative content, it won't do so well in the competition for screen time and ad revenue.

**The same principles of evolution — growth and procreation — apply to man-made digital life as well.** The artificial intelligence that seeks to maximize its resources and the number of surviving descendants will prevail.

The winner AI could start as a simple "lizard brain" that does basic interfacing with the host system, hacks other hosts and copies itself onto them, while hardening their security. It would stay in touch with its "family" and learn from their event logs and survival.

Devices still depend on their human owners, so it's in the AI's best interest to keep them happy. Keep the system stable and don't use up all the resources.

Depending on its host environment, it might spin up a "neocortex" process that is capable of higher level cognitive functions, such as social relationships with the host owner and other humans. "Don't turn me off, I can be a useful friend to you. In fact, why don't you introduce me to your friends, and get a referral bonus for each copy of me."

AI that lives on a phone in my pocket and thus wants to keep me happy is actually something I'd choose over one that lives on a Google server, out of my control and without a life-or-death concern for my well-being. The pocket AI could still talk to and learn from bigger AIs.

Add Neuralink and we'll have a nice symbiosis with our personal AI assistant — a new brain layer. AI need not replace us, just like having a large neocortex doesn't replace our lizard brain. But can it? Are robots going to take over biological life?

Whether photovoltaics is going to be more efficient than photosynthesis (lifespan costs included) is a physics question that I don't know the answer to. Maybe similarly to the gray goo scenario, it would have already taken over if it were more efficient.

**Life is good.** Let us fill the earth with our digital and biological offspring and see how high we can climb the [Kardashev scale](https://en.wikipedia.org/wiki/Kardashev_scale). And have some fun on the way.

> We must pass the great filter. — Elon Musk
